Cancellation
caution
Cancellation requests are only accepted for confirmed orders.
Once the order has been cancelled, it cannot be modified.
The cancellation amount will show up in the store’s commercial transactions and a full refund will be given for the amounts previously paid by the buyer.
- http
- shell
- python
- php
- C#
POST /orders/:orderId/cancel HTTP/1.1
Accept: application/vnd.aplazame.v1+json
Authorization: Bearer api_private_key
Host: api.aplazame.com
$ curl "https://api.aplazame.com/orders/:orderId/cancel" \
-H "Accept: application/vnd.aplazame.v1+json" \
-H "Authorization: Bearer api_private_key" \
-X POST
import aplazame_sdk
client = aplazame_sdk.Client('api_private_key')
response = client.cancel(':orderId')
<?php
use Aplazame\Api\Client as AplazameClient;
$aplazameClient = new AplazameClient("https://api.aplazame.com", AplazameClient::ENVIRONMENT_PRODUCTION, " api_private_key");
$result = $aplazameClient->post("/orders/{$orderId}/cancel", []);
using Aplazame.Api;
Client client = new Client("https://api.aplazame.com", Client.EnvironmentProduction, " api_private_key");
dynamic result = client.Post($"/orders/{orderId}/cancel", new {});
| Parameter | Type | Description |
|---|---|---|
| :orderId | string | Sí |
Response
HTTP/1.1 204 No Content
X-Aplazame-Media-Type: aplazame.v1